summaryrefslogtreecommitdiff
path: root/pst/install-2cd-extra.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pst/install-2cd-extra.sh')
-rwxr-xr-xpst/install-2cd-extra.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
new file mode 100755
index 0000000..6901c10
--- /dev/null
+++ b/pst/install-2cd-extra.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Installs Planescape Torment 2CD version extras
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 640b61443cc86c434f1b6826e63c0e33 data1.cab
+
+unshield -g OtherData -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+unshield -g OtherData -L x $CDMOUNT/data2.cab -d "$TARGETDIR" || die
+
+mv "$TARGETDIR"/otherdata/* "$TARGETDIR" || die
+rmdir "$TARGETDIR"/otherdata || die
+
+getcd 2 610d9f6354be741b09fc25b5e9645328 cd2/movies4.bif
+
+copylower "$CDMOUNT/cd2/" "$TARGETDIR" || die
+
+setperms "$TARGETDIR"